print "# Flux calibration of the data."

split(vis = './X3fd/uid___A002_X3e17df_X3fd.ms.split',
  outputvis = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal',
  datacolumn = 'corrected',
  keepflags = T)

split(vis = './X875/uid___A002_X3b55d6_X875.ms.split',
  outputvis = './X875/uid___A002_X3b55d6_X875.ms.split.cal',
  datacolumn = 'corrected',
  keepflags = T)

#                                       "J1332+0200"    0    276.03     0.61404     0.64879      2012-04-24T03:09:35 ./X3fd/uid___A002_X3e17df_X3fd.ms.split
#                                       "J1332+0200"    0    276.03     0.65334     0.64879      2012-03-28T07:17:52 ./X875/uid___A002_X3b55d6_X875.ms.split
#                                       "J1332+0200"    1    277.60     0.62220     0.65964      2012-04-24T03:09:35 ./X3fd/uid___A002_X3e17df_X3fd.ms.split
#                                       "J1332+0200"    1    277.60     0.66319     0.65964      2012-03-28T07:17:52 ./X875/uid___A002_X3b55d6_X875.ms.split
#                                       "J1332+0200"    2    288.05     0.60314     0.64429      2012-04-24T03:09:35 ./X3fd/uid___A002_X3e17df_X3fd.ms.split
#                                       "J1332+0200"    2    288.05     0.65058     0.64429      2012-03-28T07:17:52 ./X875/uid___A002_X3b55d6_X875.ms.split
#                                       "J1332+0200"    3    289.80     0.59642     0.60444      2012-04-24T03:09:35 ./X3fd/uid___A002_X3e17df_X3fd.ms.split
#                                       "J1332+0200"    3    289.80     0.60573     0.60444      2012-03-28T07:17:52 ./X875/uid___A002_X3b55d6_X875.ms.split

setjy(vis = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal',
  field = 'J1332+0200',
  spw = '0',
  fluxdensity = [0.64879, 0, 0, 0])

setjy(vis = './X875/uid___A002_X3b55d6_X875.ms.split.cal',
  field = 'J1332+0200',
  spw = '0',
  fluxdensity = [0.64879, 0, 0, 0])

setjy(vis = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal',
  field = 'J1332+0200',
  spw = '1',
  fluxdensity = [0.65964, 0, 0, 0])

setjy(vis = './X875/uid___A002_X3b55d6_X875.ms.split.cal',
  field = 'J1332+0200',
  spw = '1',
  fluxdensity = [0.65964, 0, 0, 0])

setjy(vis = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal',
  field = 'J1332+0200',
  spw = '2',
  fluxdensity = [0.64429, 0, 0, 0])

setjy(vis = './X875/uid___A002_X3b55d6_X875.ms.split.cal',
  field = 'J1332+0200',
  spw = '2',
  fluxdensity = [0.64429, 0, 0, 0])

setjy(vis = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal',
  field = 'J1332+0200',
  spw = '3',
  fluxdensity = [0.60444, 0, 0, 0])

setjy(vis = './X875/uid___A002_X3b55d6_X875.ms.split.cal',
  field = 'J1332+0200',
  spw = '3',
  fluxdensity = [0.60444, 0, 0, 0])

gaincal(vis = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal',
  caltable = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal.ampli_inf',
  field = 'J1332+0200',
  solint = 'inf',
  combine = 'scan',
  refant = 'DV09',
  gaintype = 'T',
  calmode = 'ap')

applycal(vis = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal',
  field = '2,3', # J1332+0200,Abell 1835
  gaintable = './X3fd/uid___A002_X3e17df_X3fd.ms.split.cal.ampli_inf',
  gainfield = '2', # J1332+0200
  calwt = F,
  flagbackup = F)

gaincal(vis = './X875/uid___A002_X3b55d6_X875.ms.split.cal',
  caltable = './X875/uid___A002_X3b55d6_X875.ms.split.cal.ampli_inf',
  field = 'J1332+0200',
  solint = 'inf',
  combine = 'scan',
  refant = 'DV09',
  gaintype = 'T',
  calmode = 'ap')

applycal(vis = './X875/uid___A002_X3b55d6_X875.ms.split.cal',
  field = '2,3', # J1332+0200,Abell 1835
  gaintable = './X875/uid___A002_X3b55d6_X875.ms.split.cal.ampli_inf',
  gainfield = '2', # J1332+0200
  calwt = F,
  flagbackup = F)

print "# Concatenating the data."

concat(vis = ['./X3fd/uid___A002_X3e17df_X3fd.ms.split.cal', './X875/uid___A002_X3b55d6_X875.ms.split.cal'],
  concatvis = 'calibrated.ms')

split(vis = 'calibrated.ms',
  outputvis = 'calibrated.ms.split',
  datacolumn = 'corrected',
  keepflags = T)

