print "# Running clean."

### Removing the continuum.

uvcontsub(vis="calibrated.ms.split", field="3",fitspw="0:0~1000;2600~3840,1,2,3",combine="spw",solint="int",fitorder=1,spw="",want_cont=False)


### Imaging the continuum

clean(vis="calibrated.ms.split",imagename="calibrated.ms.split.continuum",outlierfile="",field="3",spw="0:0~1000;2600~3840,1,2,3",
selectdata=False,timerange="",uvrange="",antenna="",scan="",observation="",mode="mfs",gridmode="",wprojplanes=1,facets=1,
cfcache="cfcache.dir",painc=360.0,epjtable="",interpolation="linear",niter=2000,gain=0.1,threshold="0.0mJy",psfmode="clark",
imagermode="",ftmachine="mosaic",mosweight=False,scaletype="SAULT",multiscale=[0],negcomponent=-1,smallscalebias=0.6,interactive=False,mask="box [ [ 120pix , 170pix] , [210pix, 230pix ] ]",nchan=-1,start=0,width=1,outframe="",veltype="radio",imsize=[360, 360],cell="0.12arcsec",phasecenter=3,restfreq="",stokes="I",weighting="briggs",robust=0.5,uvtaper=False,outertaper=[''],innertaper=['1.0'],modelimage="",restoringbeam=[''],pbcor=False,minpb=0.2,calready=True,noise="1.0Jy",npixels=0,npercycle=100,cyclefactor=1.5,cyclespeedup=-1,nterms=1,
reffreq="",chaniter=False,flatnoise=True,allowchunk=False)


### Imaging the CO(3-2) line
### z=0.252 >> CO(3-2) = 276.19 GHz

clean(vis="calibrated.ms.split.contsub",imagename="calibrated.ms.split.contsub.line",outlierfile="",field="0",spw="0,1",selectdata=False,timerange="",uvrange="",antenna="",scan="",observation="",mode="velocity",gridmode="",wprojplanes=1,facets=1,cfcache="cfcache.dir",painc=360.0,epjtable="",interpolation="linear",niter=2000,gain=0.1,threshold="0.0mJy",psfmode="clark",imagermode="",ftmachine="mosaic",mosweight=False,scaletype="SAULT",multiscale=[0],negcomponent=-1,smallscalebias=0.6,interactive=False,mask="box [ [ 120pix , 170pix] , [210pix, 230pix ] ]",nchan=80,start="-800km/s",width="20km/s",outframe="",veltype="radio",imsize=[360, 360],cell="0.12arcsec",phasecenter=0,restfreq="276.19GHz",stokes="I",weighting="briggs",robust=0.5,uvtaper=False,outertaper=[''],innertaper=['1.0'],modelimage="",restoringbeam=[''],pbcor=False,minpb=0.2,calready=True,noise="1.0Jy",npixels=0,npercycle=100,cyclefactor=1.5,cyclespeedup=-1,nterms=1,reffreq="",chaniter=False,flatnoise=True,allowchunk=False)
